/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	DTS.Chat
#
#	App.Common.h	-	Rez and C Include Source
#
#	Copyright  1989-1992 Apple Computer, Inc.
#	All rights reserved.
#
------------------------------------------------------------------------------*/


#ifndef __APPCOMMON__
#define __APPCOMMON__

#include "DTS.Lib.Common.h"

#define VH_VERSION 1				/* True means to include ViewHierarchy window. */

#define kDocCreator      'DTSC'
#define kDocFileType     'DTST'
#define kTextFileType    'TEXT'

#define kMinSize	150				/* Application's minimum size (in K)   */
#define kPrefSize	200				/* Application's preferred size (in K) */

#define rWindowYPos		60			/* These are referenced only in the rez source file. */
#define rWindowHeight	287
#define rWindowXPos		40
#define rWindowWidth	504

#define	mFile					129
#define	iNew					1
#define iOpen					2
#define	iClose					4
#define iSave					5
#define	iSaveAs					6
#define iDuplicate				7
#define	iPageSetup				9
#define	iPrint					10
#define	iQuit					12

#define	mEdit					130
#define	iUndo					1
#define	iCut					3
#define	iCopy					4
#define	iPaste					5
#define	iClear					6
#define iViewHier				8

#define mCommunicate			131
#define iConnectToUser			1
#define iSendToUser				2


#define ibeamCursor		257


#define rDynHelpStrings		257


#endif __APPCOMMON__
