/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	App.Common.h	-	Rez and C Include Source
#
#	Copyright  1989-1992 Apple Computer, Inc.
#	All rights reserved.
#
------------------------------------------------------------------------------*/


#ifndef __APPCOMMON__
#define __APPCOMMON__

#include "DTS.Lib.Common.h"

#define VH_VERSION 1				/* True means to include ViewHierarchy window. */

#define kDocCreator        'DTSD'
#define kDocFileType       'DDOC'
#define kClipboardFileType 'DCLP'
#define kToolFileType      'TOOL'

#define kMinSize	200				/* application's minimum size (in K) */
#define kPrefSize	400				/* application's preferred size (in K) */

#define rWindowYPos		60
#define rWindowHeight	287
#define rWindowXPos		40
#define rWindowWidth	504



#define rToolWindow			300
#define rArrowIcon			300
#define rRectIcon			301
#define rRRectIcon			302
#define rOvalIcon			303
#define rPieIcon			304

#define kNumTools			5

#define rClipboardWindow	400



#define addObjCursor		257



#define rDynHelpStrings		257



#endif __APPCOMMON__

