#include "DTS.Lib.protos.h"


/* These prototypes are for the application-specific functions. */


/************** Clipboard.c **************/

void			OpenClipboard(void);
OSErr			ClipboardInitDocument(FileRecHndl frHndl);
void			DoClipboard(FileRecHndl frHndl, short menuItem);



/************** EventLoop.c **************/

void			EventLoop(void);



/************** Help.c **************/

void			DynamicBalloonHelp(void);



/************** IdleTasks.c **************/

void			DoIdleTasks(EventRecord *event);



/************** Menu.c **************/

void			EnableOrDisableItem(MenuHandle menu, short item, Boolean enable);



/************** ToolPalette.c **************/

OSErr			OpenToolPalette(void);
OSErr			ToolImageDocument(FileRecHndl frHndl);
OSErr			ToolInitDocument(FileRecHndl frHndl);
void			ToolPaletteDisplay(void);
void			SetPaletteTool(short tool, Boolean keepTool);



/************** Window2.c **************/

OSErr			DuplicateDocument(FileRecHndl oldFrHndl, FileRecHndl *newFrHndl);
void			DoDelete(FileRecHndl frHndl);
void			DoArrange(FileRecHndl frHndl, short menuItem);
Rect			GetSelectedArea(TreeObjHndl root);
void			DoGroup(FileRecHndl frHndl);
void			DoUngroup(FileRecHndl frHndl);
void			NewDocumentUndo(FileRecHndl frHndl);



