/*
	File:		DTS_SCSI_Application.r
	
	
	
	Unfortunately, no matter how long awaited, it's still not done.  In fact, this
isn't even a release- this is just an image of the code taken in the middle of
development.

THIS CODE DOES NOT WORK AS A WHOLE.  MUCH OF IT IS BUGGY AND / OR INCOMPLETE.
YOU WOULD HAVE TO BE ABSOLUTELY INSANE TO USE ANY OF THIS CODE IN YOUR
PROJECT WITHOUT EXTENSIVE THOUGHT, DEBUGGING AND TESTING.





	Contains:	Resource declarations for DTS' SCSI formatter application sample

	Written by:	Colleen Delgadillo, Dennis Hescox, Kent Sandvik, Bryan Stearns

	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

				 7/22/92    ckd     Removed spinning cursor resources. Now using SetCursor.
				 6/23/92 	ckd		Added spinning cursor resources.
				 3/10/92	BJS		Added header; converted from Sample.r

	To Do:
		SIZE resource
		bundle
*/

#include "Types.r"
#include "DTS_SCSI_Application.h"

/* Include the driver code resource */
include $$Shell("ObjDir") "DTS_SCSI_Driver.rsrc" 'SCSI'; 

/*
 * Our main window: a dialog and its item list
 */
resource 'DLOG' (kMainDialog, purgeable) {
	{33, 131, 340, 403}, dBoxProc, invisible, noGoAway, 0x0, kMainDialog, ""
};
resource 'DITL' (kMainDialog, "Main") {
	{
	/* The buttons: */
	/* [1] */ {159, 26, 179, 105}, Button { enabled, "Quit" },
	/* [2] */ {136, 26, 156, 105}, Button { enabled, "About" },
	/* [3] */ {105, 26, 125, 105}, Button { enabled, "Test" },
	/* [4] */ {82, 26, 102, 105}, Button { enabled, "Update" },
	/* [5] */ {58, 26, 79, 105}, Button { enabled, "Format" },
	/* [6] */ {76, 160, 96, 220}, Button { enabled, "Drive" },
	
	/* The text messages: */
	/* [7] */ {194, 52, 288, 259}, StaticText { disabled, "" }, /* message box */
	/* [8] */ {102, 129, 176, 256}, StaticText { disabled, "" }, /* SCSI Device box */
	
	/* UserItems for the lines & boxes: */
	/* [9] */ {48, 121, 185, 122}, UserItem { disabled },
	/* [10] */ {184, 18, 185, 255}, UserItem { disabled },
	/* [11] */ {48, 14, 49, 255}, UserItem { disabled },
	
	/* The static stuff that we don't care about: */
	/* [12] */ {16, 49, 32, 232}, StaticText { disabled,
		"DTS Sample SCSI Formatter    v0.0d1" },				// *** Keep release version updated.
	/* [13] */ {54, 149, 74, 235}, StaticText { disabled, "SCSI Device:" },
	/* [14] */ {194, 12, 230, 50}, Picture { enabled, kDogCowMessage } /* icon for message box */
	}
};

/*
 * Are you sure you want to trash this disk?
 * Note that there's no icon - we'll call StopAlert.
 */
resource 'ALRT' (kConfirmFormatAlert, purgeable) {
	{40, 100, 140, 405}, kConfirmFormatAlert, {	
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1,
		OK, visible, sound1
	}
};
resource 'DITL' (kConfirmFormatAlert, "ConfirmFormat") {
	{
	/* The buttons: */
	/* [1] */ {70, 240, 90, 300}, Button { enabled, "OK" },
	/* [2] */ {70, 170, 90, 230}, Button { enabled, "Cancel" },

	/* The text: */
	/* [3] */ {10, 60, 58, 300}, StaticText { disabled,
		"Formatting will erase all of the data on this SCSI device. "
		"Are you sure you want to do this?" }
	}
};


/*
 * Strings we need. These include error messages not based on specific
 * codes (which are in the error table resource, below).
 *
 * 
 * IMPORTANT: If you change these strings' positions in the list, 
 * 			  be sure to update the #defines in DTS_SCSI_Application.h!
 *
 * LESS IMPORTANT: This resource is *not* marked "purgeable," so that
 *			  we can load it once and always know that we've got the
 *			  messages handy.
 */
resource 'STR#' (kStringList) {
	{
	""; /* An empty string, used for clearing messages from our window */
	
	"Untitled";			/* The name we give to a newly formatted volume */
	
	/* The vendor, product, and revision strings identifying the drive we'll look for. */
	/* If your product could contain a variety of different drives, you may need to */
	/* use a different mechanism for identifying them. For demonstration purposes, we */
	/* only support the drive used in Apple's HD80SC. */   // *** should we extend the array for more drives?
	"QUANTUM "; 		/* [8 chars] The Vendor string that must match our drives' */
	"LP80S  980809404"; /* [16 chars] The Product string that must match our drives' */
	"2.9 "; 			/* [4 chars] The Revision string that must match our drives' */
	
	/* The generic see-your-dealer message; it's appended to most of the */
	/* somewhat-more-specific messages that follow. */
	"Check your device connections, unit number selections, and the Apple SCSI Cable Guide."; /* General SCSI error */
	
	/* User-friendly error messages */
	"No SCSI devices appear to be connected."; /* can't talk to any devices */
	"No "kProductName" found."; /* can't find _our_ device */
	"Unable to communicate with the selected drive. Termination could be incorrect."; /* general communication errors */
	"An error occurred during formatting."; /* an error occurred during formatting */
	"An error occurred when attempting to use this drive."; /* unable to write driver, partition, MountVol, etc. */
	"An unknown low-level error occurred."; /* couldn't find the appropriate error in the error mapping resource! */
	"This is the only "kProductName" found."; /* we only found one of our drive */
	"Formatting This will take approx. one minute";
	"Testing";
	"Formatting completed successfully.";
	"Updating";
	"Updating completed successfully.";
	"Updating failed.";
	}
};

/*
 * Our error messages are stored in a resource of type "eror", which 
 * consists of a list of (error number, error message) pairs. This allows
 * us to easily convert an error number to a string to be used in an alert.
 */
/*
 * Here's the actual error-mapping resource itself.
 */
resource kErrorMappingResourceType (kErrorMappingResourceID) {
	{
	2, "scCommErr: Usually no device connected, bus not terminated";
	3, "scArbNBErr:Arbitration failed during a SCSIGet; bus busy";
	4, "scBadParmsErr: Unrecognized instruction in transfer instruction block";
	5, "scPhaseErr: Phase Error: Target and initiator are not in agreement as to the number of bytes to transfer";
	6, "scCompareErr: Data comparison error during read (with SCCOMP instruction in transfer information block";
	7, "scMgrBusyErr:SCSIManager busy with another operation when SCSIGet was called";
	8, "scSequenceErr: Attempted operation out of sequence(ie: calling SCSISelect before SCSIGet";
	9, "scBusTOErr: Bus timeout before data ready on SCSIRBlind and SCSIWBlind";
	10, "scComplPhaseErr: SCSIComplete failed. Bus not in status phase";
	-17, "Control Error";
	-18, "Status Error";
	-19, "Read Error";
	-20, "Write Error";
	-21, "Bad Unit Error";
	-22, "Unit Empty Error";
	-23, "Open Error";
	-24, "Close Error";
	};
};

/*
 * Our About box: a dialog and its item list
 */
resource 'DLOG' (kAboutBox, purgeable) {
	{36, 102, 302, 406}, dBoxProc, visible, goAway, 0x0, kAboutBox, ""
};
resource 'DITL' (kAboutBox, purgeable) {
	{	
	/* [1] */ {240, 127, 260, 185}, Button { enabled, "OK" },
	/* [2] */ {6, 80, 22, 233}, StaticText { disabled, "Sample SCSI Formatter" },
	/* [3] */ {41, 26, 57, 286}, StaticText { disabled, "Copyright  1992 Apple Computer, Inc." },
	/* [4] */ {23, 62, 39, 251}, StaticText { disabled, "Developer Technical Support" },
	/* [5] */ {64, 10, 80, 137}, StaticText { disabled, "Brought to you by:" },
	/* [6] */ {80, 67, 96, 245}, StaticText { disabled, "Craig Prouse: Driver Driver" },
	/* [7] */ {96, 49, 112, 264}, StaticText { disabled, "Colleen Delgadillo: SCSI Monster" },
	/* [8] */ {112, 63, 128, 250}, StaticText { disabled, "Kent Sandvik: Disk Thrasher" },
	/* [9] */ {128, 42, 144, 271}, StaticText { disabled, "Tim Dierks: Designated SCSI Target" },
	/* [10] */ {144, 45, 160, 267}, StaticText { disabled, "Neil Day: {Board, Dead, Disk} Head" },
	/* [11] */ {160, 32, 176, 280}, StaticText { disabled, "Mark Baumwell: The good guy of SCSI" },
	/* [12] */ {176, 40, 192, 272}, StaticText { disabled, "Dennis Hescox: The bad guy of SCSI" },
	/* [13] */ {192, 42, 208, 271}, StaticText { disabled, "Brian Bechtel: The ugly guy of SCSI" },
	/* [14] */ {208, 18, 224, 294}, StaticText { disabled, "Bryan Stearns: Knows nothing about SCSI" }
	}
};

resource 'PICT' (kDogCowCircle, purgeable) {
	640,
	{0, 0, 30, 31},
	$"0011 02FF 0C00 FFFF FFFF 0000 0000 0000"
	$"0000 001F 0000 001E 0000 0000 0000 0001"
	$"000A 0000 0000 0020 0020 0098 8020 0000"
	$"0000 001E 001F 0000 0000 0000 0000 0048"
	$"0000 0048 0000 0000 0008 0001 0008 0000"
	$"0000 0017 A1F8 0000 0000 0000 04F8 0000"
	$"0002 0000 FFFF FFFF FFFF 0001 3333 9999"
	$"6666 00FF 0000 0000 0000 0000 0000 001E"
	$"001F 0000 0000 001E 001F 0000 04E2 0000"
	$"FA08 F500 FA01 F500 0036 08F8 00F4 01F8"
	$"0000 DF08 FA00 F001 FA00 0026 0BFB 0001"
	$"01FF F001 FB00 00A8 10FC 0006 01FF 00FF"
	$"01FF FFF3 01FC 0000 DE0F FD00 0701 01FF"
	$"00FF FF00 FFF2 01FC 000E FE00 0201 01FF"
	$"FC00 00FF F101 FD00 14FE 0007 01FF 0000"
	$"FF00 00FF F201 01FF 01FE 0000 0212 0300"
	$"0001 FFFB 0000 FFF2 0105 FFFF 0100 005F"
	$"1202 0000 FFF9 0000 FFF4 0106 FF00 FF01"
	$"0000 5716 0200 0101 FDFF FC00 01FF FFF7"
	$"0107 FF00 00FF 0101 009F 1200 00FB 0100"
	$"FFFB 00F7 FFFE 0004 FF01 0100 5F13 0000"
	$"FB01 00FF FB00 FAFF FC00 00FF FE01 0100"
	$"2914 0000 FA01 01FF FFFC 00FB FFFD 0000"
	$"FFFD 0101 006C 1300 00FA 01FE FFFB 00FE"
	$"FFFC 0000 FFFD 0101 0029 0F00 00FA 01FE"
	$"FFF4 0000 FFFC 0101 0011 1000 00FA 0101"
	$"FFFF F300 00FF FC01 0100 200F 0000 FA01"
	$"00FF F200 00FF FC01 0100 5015 0100 00FB"
	$"0100 FFFE 00F9 FFFD 0000 FFFD 0102 0000"
	$"BA16 0100 00FB 0103 FF00 00FF F901 00FF"
	$"FD00 00FF FE01 FE00 17FE 00FC 0103 FF00"
	$"00FF F801 00FF FE00 02FF 0101 FE00 002C"
	$"16FE 00FC 0103 FF00 00FF F701 05FF 0000"
	$"FF01 01FE 0000 2A15 FD00 FD01 03FF 0000"
	$"FFF7 0104 FF00 00FF 01FD 0000 5315 FC00"
	$"0501 01FF 0000 FFF7 0104 FF00 00FF 01FC"
	$"0000 4810 FB00 0001 FEFF F601 FEFF 0001"
	$"FB00 004C 08FA 00F0 01FA 0000 6E08 F800"
	$"F401 F800 0001 08F5 00FA 01F5 0000 5604"
	$"E200 006E 00FF"
};

resource 'PICT' (kDogCowMessage, purgeable) {
	622,
	{0, 0, 32, 32},
	$"0011 02FF 0C00 FFFF FFFF 0000 0000 0000"
	$"0000 0020 0000 0020 0000 0000 0000 0001"
	$"000A 0000 0000 0020 0020 0098 8020 0000"
	$"0000 0020 0020 0000 0000 0000 0000 0048"
	$"0000 0048 0000 0000 0008 0001 0008 0000"
	$"0000 0017 A070 0000 0000 0000 0589 0000"
	$"0002 0000 FFFF FFFF FFFF 0001 3333 9999"
	$"6666 00FF 0000 0000 0000 0000 0000 0020"
	$"0020 0000 0000 0020 0020 0000 06F2 01F4"
	$"FFFD 010C F401 01FF FFF4 0001 FFFF FF01"
	$"0AF4 0100 FFF2 0000 FFFF 0116 F501 00FF"
	$"FE00 FEFF 0700 FF00 FF00 FF00 FFFE 0001"
	$"FF01 09F5 0100 FFF0 0001 FF01 09F5 0100"
	$"FFF0 0001 FF01 17F5 0100 FFFE 000A FF00"
	$"FFFF 00FF 00FF 00FF FFFE 0001 FF01 09F5"
	$"0100 FFF0 0001 FF01 15F4 010B FF00 00FF"
	$"00FF 00FF 00FF 00FF FD00 00FF FF01 0BF4"
	$"0101 FFFF F300 00FF FF01 0AF2 01F5 FF02"
	$"0000 FFFF 0111 F101 05FF FF01 FF00 FFFC"
	$"0102 FF00 FFFF 0110 F101 05FF 00FF FF00"
	$"FFFC 0101 FFFF FE01 0EF1 0100 FFFC 0000"
	$"FFFE 0100 FFFC 010F 0101 FFF2 0106 FF00"
	$"00FF 0000 FFF9 010D 01FF FFF2 0100 FFFB"
	$"0000 FFFA 010E 02FF 00FF F401 00FF F900"
	$"00FF FB01 1003 FF00 00FF F701 01FF FFFC"
	$"00FD FFFA 010C 00FF FE00 F7FF FB00 00FF"
	$"F601 0D01 01FF FC00 FAFF FB00 00FF F601"
	$"0F02 0101 FFFD 00FB FFFC 0001 FFFF F501"
	$"0E02 0101 FFFC 00FE FFFB 00FE FFF5 010A"
	$"FE01 00FF F400 FEFF F501 0BFE 0100 FFF3"
	$"0001 FFFF F501 0AFE 0100 FFF2 0000 FFF5"
	$"010E FE01 00FF FD00 F9FF FE00 00FF F501"
	$"1102 0101 FFFD 0000 FFF9 0103 FF00 00FF"
	$"F501 1102 0101 FFFE 0000 FFF8 0103 FF00"
	$"00FF F501 1005 0101 FF00 00FF F701 03FF"
	$"0000 FFF5 0110 0501 01FF 0000 FFF7 0103"
	$"FF00 00FF F501 10FE 0103 FF00 00FF F701"
	$"03FF 0000 FFF6 010A FD01 FEFF F601 FEFF"
	$"F601 00FF"
};


