/*------------------------------------------------------------------------------
#
#	Apple Macintosh Developer Technical Support
#
#	App.Common.h	-	Rez and C Include Source
#
#	Copyright  1989-1992 Apple Computer, Inc.
#	All rights reserved.
#
------------------------------------------------------------------------------*/


#ifndef __APPCOMMON__
#define __APPCOMMON__

#include "DTS.Lib.Common.h"

#define VH_VERSION 1				/* True means to include ViewHierarchy window. */

#define kDocCreator		'DUMB'
#define kDocFileType	'DUMD'

#define kMinSize	200				/* application's minimum size (in K) */
#define kPrefSize	400				/* application's preferred size (in K) */

#define rWindowYPos		60			/* These are referenced only in the rez source file. */
#define rWindowHeight	287
#define rWindowXPos		40
#define rWindowWidth	504

#define	mFile					129
#define	iNew					1
#define iOpen					2
#define	iClose					4
#define iSave					5
#define	iSaveAs					6
#define	iPageSetup				8
#define	iPrint					9
#define	iQuit					11

#define	mEdit					130
#define	iUndo					1
#define	iRedo					2
#define	iCut					4
#define	iCopy					5
#define	iPaste					6
#define	iClear					7
#define iViewHier				9


#define rDynHelpStrings		257


#endif __APPCOMMON__

