/*
	File:		DTS_SCSI_Application.h
	
	
	
	Unfortunately, no matter how long awaited, it's still not done.  In fact, this
isn't even a release- this is just an image of the code taken in the middle of
development.

THIS CODE DOES NOT WORK AS A WHOLE.  MUCH OF IT IS BUGGY AND / OR INCOMPLETE.
YOU WOULD HAVE TO BE ABSOLUTELY INSANE TO USE ANY OF THIS CODE IN YOUR
PROJECT WITHOUT EXTENSIVE THOUGHT, DEBUGGING AND TESTING.





	Contains:	common declarations for DTS' SCSI formatting application sample,
				included by both DTS_SCSI_Application.c and DTS_SCSI_Application.r
				(Because Rez doesn't understand C++-style slash-slash comments,
				ordinary C slash-star/star-slash comments must be used here).

	Written by:	Colleen Delgadillo, Dennis Hescox, Kent Sandvik, Bryan Stearns

	Copyright:	 1992 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

				 3/10/92	BJS		convert from Sample.h

	To Do:
	
	Notes:
		Like DTS_SCSI_Application.c, this file was extracted from Apple's
		simple Sample application. Many of the original Sample.h comments
		have been removed so that we can concentrate on SCSI issues; see
		the original Sample.h (included with MPW, among other places) for
		background information.
*/

/*
 * Configuration constants
 */
#define kMinimumSpace		(80 * 1024)		/* minimum free RAM to run */
#define kProductName		"Apple HD80SC"	/* the name of our product, used in string resources */

/* 
 * Resource ID constants
 */

/* Our main dialog window, and the items in it */
#define	kMainDialog 	128	/* Our main window */
#define	kQuitButton		1
#define kAboutButton	2
#define kTestButton		3
#define kUpdateButton	4
#define kFormatButton	5
#define	kDriveButton	6
#define kMessageText	7
#define kDriveInfoText	8
#define kFirstUserItem	9
#define kLastUserItem	11

/* Other dialogs */
#define kAboutBox				129	/* Our about box */
#define kConfirmFormatAlert		130	/* OK to format? */
#define	kInsufficientSystem		131	/* alert: We can't run on this machine or system software! */

/* Our string list */
#define kStringList 			128

#define	kEmptyString			1
#define	kVolumeNameString		2
#define	kVendorString			3
#define	kProductString			4
#define	kRevisionString			5
#define	kExplanation			6
#define	kNoSCSIDevices			7
#define	kNoneOfOurDevice		8
#define	kCommunicationError		9
#define	kFormatError			10
#define	kPartitioningError		11
#define	kUnknownLowLevelError	12
#define	kOnlyOneOfOurDevice		13
#define	kFormatting				14
#define	kTesting				15
#define	kFormattingCompleted	16
#define kUpdating				17
#define kUpdateCompleted		18
#define kUpdateError			19

/* Other resources */
#define kDogCowCircle			132
#define kDogCowMessage			133
#define kErrorMappingResourceType 'eror'
#define kErrorMappingResourceID	128	/* The resource we use to map error codes to messages for alerts */


/*
 * The format of our error resource. This illustrates the flexibility of including the 
 * same file from both C and the resource compiler Rez. Rez automatically defines the
 * preprocessor macro "Rez", so we can conditionally compile the same declaration in
 * two different flavors for the two environments, as shown here. This allows us to
 * maintain both definitions in one place, making it easier to keep the definitions
 * consistent with each other!
 */
#ifdef Rez
/* The "Rez" type declaration */
type 'eror' {								// ***  Are we using this?
	wide array {
		integer;
		pstring[255];
	};
};
#else
/* the "C" type declaration */
typedef struct {
	short errNum;
	Str255 message;
} ErrorMapping, **ErrorMappingHandle;
#endif
